using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class LinqEntitiesWhere : System.Web.UI.Page
{    
    protected void btnExecutar_Click(object sender, EventArgs e)
    {
        using (NorthwindDataContext db = new NorthwindDataContext())
        {
             var query = db.Products
            .Where(w => w.Discontinued == true)
            .Select(produto => new
            {
                IdProduto = produto.ProductID,
                NomeProduto = produto.ProductName
            });

            GridView1.DataSource = query;
            GridView1.DataBind();
        }
    }
}

